# $Revision: 1.10 $, $Date: 2009/02/23 22:04:45 $
Summary:	Debug 1394 devices
Summary(pl.UTF-8):	Diagnostyka urządzeń 1394
Name:		firecontrol
Version:	0.2
Release:	3
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/firecontrol/%{name}-%{version}.tar.gz
# Source0-md5:	e0f272ee4a72f214af3b06bfb81527ef
URL:		http://firecontrol.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libraw1394-devel >= 0.10.0
BuildRequires:	readline-devel
Provides:	1394commander
Obsoletes:	1394commander
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
firecontrol is a simple console oriented tool based on libraw1394 to
issue asynchronous read, write and lock commands to some nodes on the
bus as well as to force bus resets. The main advantage of this tool
over other available tools (like gscanbus) is (besides not requiring a
graphical interface), that it reports the exact acknowledge and
response codes and therefore is very useful for debugging purposes.

%description -l pl.UTF-8
firecontrol to proste narzędzie konsolowe oparte na libraw1394 do
wydawania poleceń asynchronicznego odczytu, zapisu i blokowania
pewnych węzłów na szynie, a także wymuszania resetu szyny. Główną
zaletą tego narzędzia nad innymi (jak gscanbus) jest (oprócz nie
wymagania graficznego interfejsu) to, że podaje szczegółowe informacje
i kody odpowiedzi, dzięki czemu jest bardzo przydatne do celów
diagnostycznych.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/firecontrol

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: firecontrol.spec,v $
Revision 1.10  2009/02/23 22:04:45  arekm
- release 3

Revision 1.9  2008/08/26 18:21:55  arekm
- release 2

Revision 1.8  2007-05-12 18:46:00  megabajt
- updated md5

Revision 1.7  2007/05/12 18:44:51  megabajt
- updated to 0.2
- project renamed to firecontrol

Revision 1.6  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.4  2006/08/20 16:45:43  qboosh
- pl

Revision 1.3  2006/08/17 08:08:11  darekr
- added %doc

Revision 1.2  2006/08/17 04:30:38  aredridel
- remove template boilerplate

Revision 1.1  2006/08/17 01:31:31  aredridel
- added
